Bug 782795 (CVE-2012-0050)

Summary: CVE-2012-0050 openssl: remote DTLS server DoS introduced in the CVE-2011-4108 fix
Product: [Other] Security Response Reporter: Tomas Hoger <thoger>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: high Docs Contact:
Priority: high    
Version: unspecifiedCC: tmraz
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=important,public=20110118,reported=20110118,source=internet,cvss2=5/AV:N/AC:L/Au:N/C:N/I:N/A:P,rhel-3/openssl=notaffected,rhel-4/openssl=notaffected,rhel-5/openssl=notaffected,rhel-6/openssl=notaffected,rhel-4/openssl096b=notaffected,rhel-5/openssl097a=notaffected,rhel-6/openssl098e=notaffected,fedora-all/openssl=affected
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-02-15 11:24:43 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 783122    
Bug Blocks: 771783    

Description Tomas Hoger 2012-01-18 09:12:10 EST
Quoting upstream advisory:

  http://www.openssl.org/news/secadv_20120118.txt

  A flaw in the fix to CVE-2011-4108 can be exploited in a denial of
  service attack. Only DTLS applications using OpenSSL 1.0.0f and
  0.9.8s are affected.

The fix for CVE-2011-4108 (bug #771770) introduced a regression that can allow remote attacker to crash DTLS servers using affected OpenSSL version because of an out-of-bounds read.  This issue is corrected in OpenSSL 1.0.0g or 0.9.8t.

Upstream fix:
http://cvs.openssl.org/chngview?cn=22032 (0.9.8)
http://cvs.openssl.org/chngview?cn=22037 (1.0.0)
Comment 1 Tomas Hoger 2012-01-19 08:00:53 EST
As openssl updates for Red Hat Enterprise Linux addressing CVE-2011-4108 have not been released yet, no released openssl version in Red Hat Enterprise Linux is affected by this flaw.  Future updates will use corrected CVE-2011-4108 fix that does not introduce this problem.

openssl packages versions in Red Hat Enterprise Linux 3 and 4 do not have DTLS support and hence can not be affected by this issue or CVE-2011-4108.

Statement:

Not vulnerable. This issue did not affect the versions of openssl as shipped with Red Hat Enterprise Linux 3, 4, 5, and 6.
Comment 2 Tomas Hoger 2012-01-19 08:01:44 EST
Created openssl tracking bugs for this issue

Affects: fedora-all [bug 783122]
Comment 3 Fedora Update System 2012-01-22 00:27:08 EST
openssl-1.0.0g-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2012-01-24 02:55:29 EST
openssl-1.0.0g-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.